Debian Bug report logs - #590481
python-numpy: FTBFS on alpha: error: storage size of 'ux' isn't known

version graph

Package: src:python-numpy; Maintainer for src:python-numpy is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>;

Reported by: Sandro Tosi <morph@debian.org>

Date: Mon, 26 Jul 2010 16:24:02 UTC

Severity: serious

Found in version python-numpy/1:1.4.1-3

Fixed in version python-numpy/1:1.4.1-4

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#590481; Package src:python-numpy. (Mon, 26 Jul 2010 16:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 26 Jul 2010 16:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-numpy: FTBFS on alpha: error: storage size of 'ux' isn't known
Date: Mon, 26 Jul 2010 18:20:42 +0200
Source: python-numpy
Version: 1:1.4.1-3
Severity: serious

Hello,
python-numpy FTBFS on alpha with this error:

creating build/temp_d.linux-alpha-2.5
creating build/temp_d.linux-alpha-2.5/build
creating build/temp_d.linux-alpha-2.5/build/src.linux-alpha-2.5
creating build/temp_d.linux-alpha-2.5/build/src.linux-alpha-2.5/numpy
creating build/temp_d.linux-alpha-2.5/build/src.linux-alpha-2.5/numpy/core
creating build/temp_d.linux-alpha-2.5/build/src.linux-alpha-2.5/numpy/core/src
creating build/temp_d.linux-alpha-2.5/build/src.linux-alpha-2.5/numpy/core/src/npymath
compile options: '-Inumpy/core/include -Ibuild/src.linux-alpha-2.5/numpy/core/include/numpy -Inumpy/core/src/private -Inumpy/core/src -Inumpy/core -Inumpy/core/src/npymath -Inumpy/core/src/multiarray -Inumpy/core/src/umath -Inumpy/core/include -I/usr/include/python2.5_d -Ibuild/src.linux-alpha-2.5/numpy/core/src/multiarray -Ibuild/src.linux-alpha-2.5/numpy/core/src/umath -c'
gcc: build/src.linux-alpha-2.5/numpy/core/src/npymath/ieee754.c
numpy/core/src/npymath/ieee754.c.src: In function '_nextl':
numpy/core/src/npymath/ieee754.c.src:255: error: storage size of 'ux' isn't known
numpy/core/src/npymath/ieee754.c.src:259: error: 'LDBL_EXP_INDEX' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:259: error: (Each undeclared identifier is reported only once
numpy/core/src/npymath/ieee754.c.src:259: error: for each function it appears in.)
numpy/core/src/npymath/ieee754.c.src:259: error: 'LDBL_EXP_MASK' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:259: error: 'LDBL_EXP_SHIFT' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_MANH_INDEX' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_MANH_MASK' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_MANH_SHIFT' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_NBIT' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_MANL_INDEX' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_MANL_MASK' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_MANL_SHIFT' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:264: error: 'IEEEl2bitsrep_part' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:267: error: 'LDBL_SIGN_INDEX' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:267: error: 'LDBL_SIGN_MASK' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:267: error: 'LDBL_SIGN_SHIFT' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:255: warning: unused variable 'ux'
numpy/core/src/npymath/ieee754.c.src: In function '_nextl':
numpy/core/src/npymath/ieee754.c.src:255: error: storage size of 'ux' isn't known
numpy/core/src/npymath/ieee754.c.src:259: error: 'LDBL_EXP_INDEX' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:259: error: (Each undeclared identifier is reported only once
numpy/core/src/npymath/ieee754.c.src:259: error: for each function it appears in.)
numpy/core/src/npymath/ieee754.c.src:259: error: 'LDBL_EXP_MASK' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:259: error: 'LDBL_EXP_SHIFT' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_MANH_INDEX' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_MANH_MASK' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_MANH_SHIFT' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_NBIT' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_MANL_INDEX' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_MANL_MASK' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:260: error: 'LDBL_MANL_SHIFT' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:264: error: 'IEEEl2bitsrep_part' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:267: error: 'LDBL_SIGN_INDEX' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:267: error: 'LDBL_SIGN_MASK' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:267: error: 'LDBL_SIGN_SHIFT' undeclared (first use in this function)
numpy/core/src/npymath/ieee754.c.src:255: warning: unused variable 'ux'
error: Command "gcc -pthread -fno-strict-aliasing -g -O0 -mieee -Wall -Wstrict-prototypes -g -O2 -fPIC -Inumpy/core/include -Ibuild/src.linux-alpha-2.5/numpy/core/include/numpy -Inumpy/core/src/private -Inumpy/core/src -Inumpy/core -Inumpy/core/src/npymath -Inumpy/core/src/multiarray -Inumpy/core/src/umath -Inumpy/core/include -I/usr/include/python2.5_d -Ibuild/src.linux-alpha-2.5/numpy/core/src/multiarray -Ibuild/src.linux-alpha-2.5/numpy/core/src/umath -c build/src.linux-alpha-2.5/numpy/core/src/npymath/ieee754.c -o build/temp_d.linux-alpha-2.5/build/src.linux-alpha-2.5/numpy/core/src/npymath/ieee754.o" failed with exit status 1
[51554 refs]
dh_auto_build: python2.5-dbg setup.py build returned exit code 1
make: *** [build-arch] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2

Upstream is aware of the situation and I'll work with him to properly and
fastly fix this.

Regards,
Sandro

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-numpy depends on:
ii  libatlas3gf-base              3.8.3-22   Automatically Tuned Linear Algebra
ii  libc6                         2.11.2-1   Embedded GNU C Library: Shared lib
ii  libgcc1                       1:4.4.4-5  GCC support library
ii  libgfortran3                  4.4.4-5    Runtime library for GNU Fortran ap
ii  python                        2.6.5-5    An interactive high-level object-o
ii  python-support                1.0.8      automated rebuilding support for P

python-numpy recommends no packages.

Versions of packages python-numpy suggests:
ii  gfortran                      4:4.4.4-2  The GNU Fortran 95 compiler
ii  python-dev                    2.6.5-2    Header files and a static library 
ii  python-nose                   0.11.1-1   test discovery and running for Pyt
ii  python-numpy-dbg              1:1.4.1-3  Fast array facility to the Python 
ii  python-numpy-doc              1:1.4.1-3  NumPy documentation

-- no debconf information




Added tag(s) pending. Request was from morph@users.alioth.debian.org to control@bugs.debian.org. (Tue, 27 Jul 2010 15:42:05 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Wed, 28 Jul 2010 05:06:03 GMT) Full text and rfc822 format available.

Notification sent to Sandro Tosi <morph@debian.org>:
Bug acknowledged by developer. (Wed, 28 Jul 2010 05:06:03 GMT) Full text and rfc822 format available.

Message #12 received at 590481-close@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 590481-close@bugs.debian.org
Subject: Bug#590481: fixed in python-numpy 1:1.4.1-4
Date: Wed, 28 Jul 2010 05:02:17 +0000
Source: python-numpy
Source-Version: 1:1.4.1-4

We believe that the bug you reported is fixed in the latest version of
python-numpy, which is due to be installed in the Debian FTP archive:

python-numpy-dbg_1.4.1-4_amd64.deb
  to main/p/python-numpy/python-numpy-dbg_1.4.1-4_amd64.deb
python-numpy-doc_1.4.1-4_all.deb
  to main/p/python-numpy/python-numpy-doc_1.4.1-4_all.deb
python-numpy_1.4.1-4.debian.tar.gz
  to main/p/python-numpy/python-numpy_1.4.1-4.debian.tar.gz
python-numpy_1.4.1-4.dsc
  to main/p/python-numpy/python-numpy_1.4.1-4.dsc
python-numpy_1.4.1-4_amd64.deb
  to main/p/python-numpy/python-numpy_1.4.1-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 590481@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Tosi <morph@debian.org> (supplier of updated python-numpy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Jul 2010 00:05:00 +0200
Source: python-numpy
Binary: python-numpy python-numpy-dbg python-numpy-doc
Architecture: source amd64 all
Version: 1:1.4.1-4
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Sandro Tosi <morph@debian.org>
Description: 
 python-numpy - Numerical Python adds a fast array facility to the Python languag
 python-numpy-dbg - Fast array facility to the Python language (debug extension)
 python-numpy-doc - NumPy documentation
Closes: 590481
Changes: 
 python-numpy (1:1.4.1-4) unstable; urgency=low
 .
   * debian/rules
     - starts providing /usr/share/python/dist/python-numpy file, to be used by
       dh_python2/dh_pysupport for dependency declaration
   * debian/{dh_numpy, python-numpy.install, python-numpy.manpages}
     - added debhelper script dh_numpy that using .../dist/python-numpy adds to
       python:Depends the correct versioned depends on python-numpy; thanks to
       Piotr O┼╝arowski for providing the script
   * debian/patches/changeset_r8526.diff
     - cherry-picked from upstream SVN patches to define the quad prec little
       endian double on Alpha, fixing the FTBFS on that arch; thanks to David
       Cournapeau for the patch and huge support! Closes: #590481
   * debian/{README.DebianMaints, python-numpy.docs}
     - added a mini-guide/explanation about dh_numpy and/or pydist files
Checksums-Sha1: 
 85cabf269667455ad72addd4f3c64ae60e9a890d 1713 python-numpy_1.4.1-4.dsc
 2fb5f9ff1308966efc1dd0f5dfda0a293a835fa1 98419 python-numpy_1.4.1-4.debian.tar.gz
 7e1981c8fe43a3b304d0d0ca9a3829f465b16a90 2080198 python-numpy_1.4.1-4_amd64.deb
 ba1d335a8f21888889c5792f0d21d1db709c909a 5026498 python-numpy-dbg_1.4.1-4_amd64.deb
 745154a9fc2508183d70206de980900acb169d90 3194540 python-numpy-doc_1.4.1-4_all.deb
Checksums-Sha256: 
 3d6e2d2dbab210859e51a4e29ca37bd3f3e41cdabd31d63d5626a1e44d7e0245 1713 python-numpy_1.4.1-4.dsc
 1da124f6224b7db360ee78a79f0e6049e44a400c343c032160cf163f2d589bd5 98419 python-numpy_1.4.1-4.debian.tar.gz
 df65c66da783fd464e79d9f92304142cc0adb0b97f9882fb8c8cf2cf92111aea 2080198 python-numpy_1.4.1-4_amd64.deb
 13a3fb570f52b1f2029de06e9adb0fdeac8984efa2f5b962a99fdb9ce852b82c 5026498 python-numpy-dbg_1.4.1-4_amd64.deb
 a8358200d4a4ace00c0413764578e748a9c4e5915778b9b9eac74921d678887b 3194540 python-numpy-doc_1.4.1-4_all.deb
Files: 
 41c3411a459e36700e475ba5a2f25306 1713 python optional python-numpy_1.4.1-4.dsc
 2ddc3716ad659b104caa3f0a83024dc6 98419 python optional python-numpy_1.4.1-4.debian.tar.gz
 ac0ab925111b80cfb4fd99c4561165d4 2080198 python optional python-numpy_1.4.1-4_amd64.deb
 453d58f5a160f707fbbee2b065b34454 5026498 debug extra python-numpy-dbg_1.4.1-4_amd64.deb
 4a69f054214d5f25bdd2f3e9f18f1621 3194540 doc optional python-numpy-doc_1.4.1-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxPYCUACgkQAukwV0RN2VBNJQCeKa7BYpIUb3qxz3YnBn9y18ml
6wQAn2kb2tEpOWfdoYjku3L4zowjuXFn
=//FG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Aug 2010 07:38:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:28:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.